import { SmzDocumentCell } from '../../../modules/smz-documents/models/smz-document';
import { SmzDocumentChart } from '../../../modules/smz-documents/models/smz-document-features';
import { SmzDocumentBaseCellBuilder, SmzDocumentWidthTypes } from '../document-base-cell';
import { SmzDocumentBuilder } from '../document-builder';
import { SmzDocumentRowBuilder } from '../document-content';
export declare class SmzCellChartBuilder extends SmzDocumentBaseCellBuilder<SmzCellChartBuilder> {
    _rowBuilder: SmzDocumentRowBuilder;
    _cell: SmzDocumentCell;
    _data: SmzDocumentChart;
    _documentBuilder: SmzDocumentBuilder;
    protected that: this;
    constructor(_rowBuilder: SmzDocumentRowBuilder, _cell: SmzDocumentCell, _data: SmzDocumentChart, _documentBuilder: SmzDocumentBuilder);
    overrideContainerStyles(styleClass: string): SmzCellChartBuilder;
    addContainerStyles(styleClass: string): SmzCellChartBuilder;
    useBorder(): SmzCellChartBuilder;
    setContainerBackgroundColor(color: string): SmzCellChartBuilder;
    setWidth(width: SmzDocumentWidthTypes): SmzCellChartBuilder;
    setHeight(height: string): SmzCellChartBuilder;
}
